### Property

# Gtk IconPaintable:icon-name

deprecated: 4.20

#### Declaration

    property icon-name: utf8 [ read, write, construct-only ]

#### Description [src]

The icon name that was chosen during lookup.

Type:`gchar*`

Deprecated since: 4.20

Please do not use it in newly written code.

Default value | NULL
Getter method | `gtk_icon_paintable_get_icon_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes